Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 29 Sep 2020 06:36:06 +0000

Hi Fauzan Musalman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions On Friday, September 25th, I stopped by City Max located on East Ring Branch Road, Exit 14. The cashier there was really impatient and rude. She told me. "Yallah,' when I was opening my Apple Pay. I looked at her and told her in Arabic to wait a minute. She then smacked her lips at me and glared. 
As we were leaving, she walked to the end of the counter to tell her friends and they were all staring at my daughter and me. 

This type of customer service is really unacceptable! 

I'm super mad, and I don't think I will shop there again. 

Cashiers should be held accountable for their poor behavior and minimum standards of customer care should be met. 

Thanks 
Sumayah https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1528627